Installation

Guides

The main way to deploy Metavision SDK is use our pre-built Ubuntu packages and Windows installer of our whole software offer:

If you purchased Metavision SDK Pro (our premium package giving access to the source code of all the modules allowing you to customize the algorithms and compile on other platforms - contact us for a quote), please follow the installation steps for the appropriate operating system below:

If you want to work from the source code of our Open modules, you must clone and compile our open source project OpenEB:

Each section above contains the installation of the Prophesee camera plugin. You can check our specific Camera Plugins Installation page for more information on the plugins and how to install third-party vendor plugins.

Note

To have a summary of our packaging, check the Metavision SDK Modules and Packaging page

Operating System Support

Current version of Metavision SDK supports the following Operating Systems:

  • Linux Ubuntu 20.04 64-bit

  • Linux Ubuntu 22.04 64-bit

  • Windows 10 64-bit

If you want install Metavision SDK packages on an older version of Ubuntu that we don’t support anymore, you can refer to the table below to find out which previous version of the SDK is supporting it.

If you want to use a more recent version of Ubuntu, another Linux OS, or work on a platform other than amd64 (e.g. arm platform like Jetson or Raspberry), you should compile OpenEB. Check this FAQ topic for more details.

For Windows, only version 10 is supported at the moment, but if you are just looking to discover our technology and only have Windows 11, you can give it a try and it should work mostly OK.

Find below the history of supported Operating System per version of the SDK:

OS / SDK version

1.4

2.0

2.1

2.2

2.3

3.0

3.1

4.0

4.1

4.2

4.3

4.4

4.5

4.6

Ubuntu 16

X

X

Ubuntu 18

X

X

X

X

X

X

X

Ubuntu 20

X

X

X

X

X

X

X

X

X

X

X

Ubuntu 22

X

X

X

X

X

X

X

Windows 10

X

X

X

X

X

X

X

X

X

X

X

X

X

X

Note

The previous versions of the SDK can be downloaded in the Knowledge Center Download section (to access this page, request an account if you don’t have one yet).

Prophesee EVKs Support

Current version of Metavision SDK supports the following Prophesee EVKs:

If you are using an EVK that is not supported in the current version, please refer to the following table to find what version of the SDK you should use:

OS / SDK version

1.4

2.0

2.1

2.2

2.3

3.0

3.1

4.0

4.1

4.2

4.3

4.4

4.5

4.6

EVK1 QVGA

X

EVK1 VGA/HD

X

X

X

X

X

X

X

EVK2 HD (Gen40)

X

X

X

X

EVK2 HD (Gen41)

X

X

X

X

X

X

X

X

X

X

X

EVK2 HD (IMX636)

X

X

X

X

X

X

X

X

X

X

EVK3 VGA (Gen31)

X

X

X

X

X

X

X

X

X

X

X

X

EVK3 HD (Gen41)

X

X

X

X

X

X

X

X

X

X

EVK3 HD (IMX636)

X

X

X

X

X

X

X

X

X

X

EVK3 320 ES

X

X

X

EVK3 320 MP

X

X

EVK4 HD (IMX636)

X

X

X

X

X

X

X

X

X

X

Note

The previous versions of the SDK can be downloaded in the Knowledge Center Download section (to access this page, request an account if you don’t have one yet).